Bug 624681 - anaconda fails to start rsyslogd before accessing it
anaconda fails to start rsyslogd before accessing it
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
s390x Linux
low Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 09:31 EDT by Karsten Hopp
Modified: 2012-08-16 18:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-15.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:31:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2010-08-17 09:31:34 EDT
Description of problem:
Welcome to the anaconda install environment 1.2 for zSeries

detecting hardware...
waiting for hardware to initialize...
detecting hardware...
waiting for hardware to initialize...
Running anaconda 14.11, the Fedora system installer - please wait.
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 470, in <module>
    anaconda_log.init()
  File "/usr/lib64/python2.6/site-packages/pyanaconda/anaconda_log.py", line 159, in init
    logger = AnacondaLog()
  File "/usr/lib64/python2.6/site-packages/pyanaconda/anaconda_log.py", line 85, in __init__
    self.forwardToSyslog(logger)
  File "/usr/lib64/python2.6/site-packages/pyanaconda/anaconda_log.py", line 135, in forwardToSyslog
    logger.name)
  File "/usr/lib64/python2.6/site-packages/pyanaconda/anaconda_log.py", line 64, in __init__
    SysLogHandler.__init__(self, address, facility)
  File "/usr/lib64/python2.6/logging/handlers.py", line 710, in __init__
    self._connect_unixsocket(address)
  File "/usr/lib64/python2.6/logging/handlers.py", line 725, in _connect_unixsocket
    self.socket.connect(address)
  File "<string>", line 1, in connect
socket.error: [Errno 2] No such file or directory


Additional info:
When I start rsyslogd manually before connecting via ssh as the install user, the installation proceeds past this point.
A patch similar to the one proposed in https://www.redhat.com/archives/anaconda-devel-list/2010-June/msg00003.html would work around this issue
Comment 3 Ales Kozumplik 2010-08-25 04:27:07 EDT
Karsten,

We are not supporting s390 in Fedora or am I wrong? I am going to close this as won't fix: at some point we are going to replace the init script with a real init program, unified for all architectures, so issues like this will naturally go away.

Ales
Comment 4 Karsten Hopp 2010-08-25 05:03:20 EDT
We support s390x on Fedora as an secondary arch and we need to get and keep it installable so that it can be used as the base for the next RHEL
Comment 6 David Cantrell 2011-01-15 22:06:49 EST
This should be fixed in commit 1bf8f7f1c0ac70ef423d5b85165edf57ef161558.
Comment 7 Fedora End Of Life 2012-08-16 18:31:12 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.